Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Malloc_Lock_Adapter_T< ACE_LOCK > Class Template Reference

Template functor adapter for lock strategies used with ACE_Malloc_T. More...

`#include <Malloc_T.h>`

List of all members.

## Public Methods
ACE_LOCK * | operator() (const ACE_TCHAR *name)

## Detailed Description

### template<class ACE_LOCK>
class ACE_Malloc_Lock_Adapter_T< ACE_LOCK >

Template functor adapter for lock strategies used with ACE_Malloc_T.

This class acts as a factory for lock strategies that have various ctor signatures. If the lock strategy's ctor takes an ACE_TCHAR* as the first and only required parameter, it will just work. Otherwise use template specialization to create a version that matches the lock strategy's ctor signature. See ACE_Process_Semaphore and ACE_Thread_Semaphore for examples.

## Member Function Documentation

template<class ACE_LOCK>
ACE_LOCK * ACE_Malloc_Lock_Adapter_T< ACE_LOCK >::operator() | ( | const ACE_TCHAR * | name | ) |

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc_T.cpp